ig.module( 
    'game.entities.jordhaug' 
)
.requires(
    'impact.entity' 
)

.defines(function(){

// Play this when a character spawns in a or leaves a map.
EntityJordhaug = ig.Entity.extend({

    animSheet: new ig.AnimationSheet( 'media/jordhaug.png', 68, 73 ),
    size: {x: 42, y: 48},
    collides: ig.Entity.COLLIDES.NEVER,
    owner_id: -1,
    zIndex: 20,

    init: function( x, y, settings ) {
        this.parent(x, y, settings);

        this.addAnim('default', 1, [0] );

        if(!ig.editor){
            // Re-sort Entities
            ig.game.sortEntitiesDeferred();
        }
    },
})
});